Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85796

Summary: pidof: -x does not work as expected
Product: [Fedora] Fedora Reporter: Need Real Name <kyriacou>
Component: sysvinitAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-25 21:25:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 136451, 138788, 163623    

Description Need Real Name 2003-03-07 20:54:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
if i have the following process given by ps -efw
root      8484     1  0 15:34 pts/1    00:00:00 /usr/bin/python
/usr/local/bin/nodeinfo

in 8.0 i dont get the expected process id if i do pidof -x /usr/local/bin/nodeinfo: 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a small script eg /usr/local/bin/nodeinfo in python 
2. run it with python /usr/local/bin/nodeinfo
3.Try to find process id using 
    pidof -x /usr/local/bin/nodeinfo

Actual Results:  in redhat 8.0
[root]# pidof -x /usr/local/bin/nodeinfo

[root]# 


Expected Results:  in redhat 7.3
[root]# pidof -x /usr/local/bin/nodeinfo
8484
root]# 


Additional info:

--

Comment 1 Bill Nottingham 2005-04-25 21:25:16 UTC
Fixed in 2.85-38

Comment 5 David Lawrence 2007-06-22 02:10:49 UTC
Package name is now sysvinit in Fedora.